/**
 * Copyright (C) 2007-2011 Linutop SAS <http://www.linutop.com/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#ifdef HAVE_STDIO_H
#include <stdio.h>
#endif
#ifdef HAVE_STRING_H
#include <string.h>
#endif

#include <glib.h>

#include "data.h"

#define INIT_DIR "/etc/init.d/"

GList *
get_scripts_list () {
    GList *list = NULL;
    GDir *init_dir;
    const gchar *filename;
    gboolean found = FALSE;
    int i;

    init_dir = g_dir_open (INIT_DIR, 0, NULL);
    while ((filename = g_dir_read_name (init_dir)) != NULL)
    {
        if (g_str_has_suffix (filename, ".dpkg-old")
            || g_str_has_suffix (filename, "~"))
                continue;

        for (i=0;i<g_strv_length(hidden_services);i++)
        {
            if (! strcmp (hidden_services[i], filename))
                found = TRUE;
        }
        if (!found)
            list = g_list_append (list, g_strdup (filename));
        else
            found = FALSE;
    }

    g_dir_close (init_dir);

    return list;
}

